curl -X POST https://api.phanomcloud.online/bots/create \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{
"name": "my-discord-bot",
"language": "nodejs",
"memory": 256,
"startup_command": "node index.js",
"environment": {
"TOKEN": "your-bot-token",
"PREFIX": "!"
}
}'
const res = await fetch("https://api.phanomcloud.online/bots/create", {
method: "POST",
headers: {
Authorization: "Bearer sess_...",
"Content-Type": "application/json"
},
body: JSON.stringify({
name: "my-discord-bot",
language: "nodejs",
memory: 256,
startup_command: "node index.js",
environment: { TOKEN: "your-bot-token" }
})
});
const { data } = await res.json();
import requests
r = requests.post(
"https://api.phanomcloud.online/bots/create",
headers={"Authorization": "Bearer sess_..."},
json={
"name": "my-discord-bot",
"language": "python",
"memory": 256,
"startup_command": "python main.py",
"environment": {"TOKEN": "your-bot-token"}
}
)
print(r.json())
{
"success": true,
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "my-discord-bot",
"language": "nodejs",
"memory": 256,
"vcpu": 0.5,
"status": "offline",
"startup_command": "node index.js"
},
"message": "Bot created successfully. Use POST /bots/start to run it."
}
{
"success": false,
"error": "Insufficient memory: need 256MB, only 128MB available"
}
Bots
Create Bot
Creates a new bot. Does NOT start it automatically — use POST /bots/start after uploading your files.
POST
/
bots
/
create
curl -X POST https://api.phanomcloud.online/bots/create \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{
"name": "my-discord-bot",
"language": "nodejs",
"memory": 256,
"startup_command": "node index.js",
"environment": {
"TOKEN": "your-bot-token",
"PREFIX": "!"
}
}'
const res = await fetch("https://api.phanomcloud.online/bots/create", {
method: "POST",
headers: {
Authorization: "Bearer sess_...",
"Content-Type": "application/json"
},
body: JSON.stringify({
name: "my-discord-bot",
language: "nodejs",
memory: 256,
startup_command: "node index.js",
environment: { TOKEN: "your-bot-token" }
})
});
const { data } = await res.json();
import requests
r = requests.post(
"https://api.phanomcloud.online/bots/create",
headers={"Authorization": "Bearer sess_..."},
json={
"name": "my-discord-bot",
"language": "python",
"memory": 256,
"startup_command": "python main.py",
"environment": {"TOKEN": "your-bot-token"}
}
)
print(r.json())
{
"success": true,
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "my-discord-bot",
"language": "nodejs",
"memory": 256,
"vcpu": 0.5,
"status": "offline",
"startup_command": "node index.js"
},
"message": "Bot created successfully. Use POST /bots/start to run it."
}
{
"success": false,
"error": "Insufficient memory: need 256MB, only 128MB available"
}
Body
string
required
Bot name. Alphanumeric characters, underscores and hyphens only. Example:
my-bot.string
required
Runtime language. One of:
nodejs, python, java, go, rust.number
required
RAM allocation in MB. Example:
256, 512, 1024. The total across all your bots cannot exceed your plan limit.string
required
Command to run when the bot starts. Example:
node index.js or python main.py.object
Key-value pairs of environment variables to inject into the bot’s container.
vCPU is calculated automatically — 1 vCPU per 512 MB of RAM. A 256 MB bot gets 0.5 vCPU, a 1024 MB bot gets 2 vCPU.
Response
object
The created bot object with
status: "offline".curl -X POST https://api.phanomcloud.online/bots/create \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{
"name": "my-discord-bot",
"language": "nodejs",
"memory": 256,
"startup_command": "node index.js",
"environment": {
"TOKEN": "your-bot-token",
"PREFIX": "!"
}
}'
const res = await fetch("https://api.phanomcloud.online/bots/create", {
method: "POST",
headers: {
Authorization: "Bearer sess_...",
"Content-Type": "application/json"
},
body: JSON.stringify({
name: "my-discord-bot",
language: "nodejs",
memory: 256,
startup_command: "node index.js",
environment: { TOKEN: "your-bot-token" }
})
});
const { data } = await res.json();
import requests
r = requests.post(
"https://api.phanomcloud.online/bots/create",
headers={"Authorization": "Bearer sess_..."},
json={
"name": "my-discord-bot",
"language": "python",
"memory": 256,
"startup_command": "python main.py",
"environment": {"TOKEN": "your-bot-token"}
}
)
print(r.json())
{
"success": true,
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "my-discord-bot",
"language": "nodejs",
"memory": 256,
"vcpu": 0.5,
"status": "offline",
"startup_command": "node index.js"
},
"message": "Bot created successfully. Use POST /bots/start to run it."
}
{
"success": false,
"error": "Insufficient memory: need 256MB, only 128MB available"
}

